/*
 * $Id: DeltaComputationException.java,v 1.1 2005/08/10 10:52:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 8, 2005 6:22:46 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client.exception;

/**
 * This exception should be thrown if something failed on the delta computation.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public abstract class DeltaComputationException extends Exception {

    public DeltaComputationException() {
        super();
    }

    public DeltaComputationException(String message) {
        super(message);
    }

    public DeltaComputationException(Throwable cause) {
        super(cause);
    }

    public DeltaComputationException(String message, Throwable cause) {
        super(message, cause);
    }

}
