/*
 * $Id: DDStateTests.java,v 1.1 2005/06/14 17:31:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 31.05.2005 18:31:58 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.test;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * COMMENTME Comment type DDStateTests
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class DDStateTests {

    public final static String PROJECT_NAME = "org.deltadebugging.ddstate.testsuite";
    
    public static Test suite() {
        TestSuite suite = new TestSuite(
                "Test for org.deltadebugging.ddstate.launcher.test");
                
        //$JUnit-BEGIN$
        suite.addTestSuite(WorkspaceTest.class);
        suite.addTestSuite(PrimitiveAttributeTest.class);
        //$JUnit-END$
        return suite;
    }
}
