/*
 * $Id: TesterException.java,v 1.1 2005/08/10 13:21:15 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 10, 2005 2:55:33 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.tester.exception;

public class TesterException extends Exception {

    private static final long serialVersionUID = -7363564419335136838L;

    public TesterException() {
        super();
    }

    public TesterException(String message) {
        super(message);
    }

    public TesterException(Throwable cause) {
        super(cause);
    }

    public TesterException(String message, Throwable cause) {
        super(message, cause);
    }

}
