/*
 * $Id: DecreaseLengthTest.java,v 1.2 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 22.03.2005 13:59:48 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.arrayreference.string;

import junit.framework.Assert;
import junit.framework.TestCase;

public class DecreaseLengthTest extends TestCase {

	public void testPassingRun() {
		String[] firstNames = new String[] {"Peter", "Selma", "Jrg"};
		Assert.assertTrue(firstNames.length == 3);
	}

	public void testFailingRun() {
		String[] firstNames = new String[] {"Peter", "Fritz"};
		Assert.assertTrue(firstNames.length == 3);
	}

}