/*
 * $Id: StringAttributeTest.java,v 1.2 2005/09/28 13:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.03.2005 09:50:19 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.primitive;

import junit.framework.Assert;
import junit.framework.TestCase;

import org.deltadebugging.ddstate.testsuite.delta.testobjects.Address;

public class StringAttributeTest extends TestCase {

    public void testPassingRun() {
        Address test = new Address();
        test.firstName = "Susi";
        test.lastName = "Miller";
        test.city = "London";
        System.out.println(test.city);
        Assert.assertEquals("London", test.city);
    }

    public void testFailingRun() {
        Address test = new Address();
        test.firstName = "Oliver";
        test.lastName = "Flinn";
        test.city = "New York";
        System.out.println(test.city);
        Assert.assertEquals("London", test.city);
    }

}
