/*
 * $Id: Pet.java,v 1.1 2005/05/05 17:33:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 04.05.2005 20:12:10 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.testobjects;

/**
 * COMMENTME Comment type Pet
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class Pet {
	
	public static class Dog extends Pet{}
	public static class Cat extends Pet{}
	public static class Mouse extends Pet{}
	
	public static Dog getDog() {
		return new Dog();		
	}
	
	public static Cat getCat() {
		return new Cat();
	}
	
	public static Mouse getMouse() {
		return new Mouse();
	}
}
