/*
 * $Id: SecondSubClass.java,v 1.2 2005/09/28 13:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:29:28 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.memgraph.superclass2;

public class SecondSubClass extends FirstSubClass {

	private int privateInt = 21;
	protected int protectedInt = 22;
	public int publicInt = 23;
	int defaultInt = 24;

	
	void test() {
		System.out.println("this " + this.protectedInt);
		System.out.println("super " + super.protectedInt);
		System.out.println("cast firsstsubclass " + ((FirstSubClass) this).protectedInt);
		System.out.println("cast superclass " + ((Superclass) this).protectedInt);
	}
	
	public static void main(String[] args) {
		SecondSubClass test = new  SecondSubClass();
		test.test();
	}
}
