/*
 * $Id: GraphComparatorException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 14.12.2004 11:41:08 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.comparator.exceptions;

/**
 * COMMENTME Comment type GraphComparatorException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class GraphComparatorException extends Exception {

    private static final long serialVersionUID = 4538148688010920516L;

    /**
     * 
     */
    public GraphComparatorException() {
        super();
    }

    /**
     * @param message
     */
    public GraphComparatorException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public GraphComparatorException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public GraphComparatorException(String message, Throwable cause) {
        super(message, cause);
    }

}

