/*
 * $Id: WaitTimeExpiredException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 18.03.2005 16:47:12 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.extractor.exceptions;

/**
 * COMMENTME Comment type WaitTimeExpiredException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class WaitTimeExpiredException extends GraphExtractorException {

    private static final long serialVersionUID = -1146592546444732382L;

    /**
     * 
     */
    public WaitTimeExpiredException() {
        super();
    }

    /**
     * @param message
     */
    public WaitTimeExpiredException(String message) {
        super(message);
    }

    /**
     * @param message
     * @param cause
     */
    public WaitTimeExpiredException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @param cause
     */
    public WaitTimeExpiredException(Throwable cause) {
        super(cause);
    }

}
