/*
 * $Id: TestRunnerException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 03.05.2005 09:18:42 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client;

/**
 * COMMENTME Comment type TestRunnerException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class TestRunnerException extends Exception {

    private static final long serialVersionUID = -8018450255661949587L;

    /**
     * 
     */
    public TestRunnerException() {
        super();
    }

    /**
     * @param message
     */
    public TestRunnerException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public TestRunnerException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public TestRunnerException(String message, Throwable cause) {
        super(message, cause);
    }

}
