/*
 * $Id: GraphFilterException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 23.03.2005 22:15:16 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.filter;

/**
 * COMMENTME Comment type GraphFilterException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class GraphFilterException extends Exception {

    private static final long serialVersionUID = -3031495255051233708L;

    /**
     * 
     */
    public GraphFilterException() {
        super();
    }

    /**
     * @param message
     */
    public GraphFilterException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public GraphFilterException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public GraphFilterException(String message, Throwable cause) {
        super(message, cause);
    }

}
