/*
 * $Id: GraphNodeTypeFilter.java,v 1.3 2005/11/14 10:59:58 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 24.09.2004 19:29:17 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.filter.nodefilter;

import org.deltadebugging.ddstate.memorygraph.type.ITypeNode;

/**
 * COMMENTME Comment type GraphNodeTypeFilter
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class GraphNodeTypeFilter extends AbstractGraphNodeTypeFilter {

	/**
	 * Filter all graph node types.
	 * 
	 * @return false
	 */
	protected boolean filterGraphNodeType(ITypeNode graphNodeType) {
		return true;
	}

}
