/*
 * $Id: ModifiedJarCreationException.java,v 1.1 2005/07/22 07:23:33 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 10.06.2005 19:41:47 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.bcel.instrumenter;

/**
 * COMMENTME Comment type ModifiedJarCreationException
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class ModifiedJarCreationException extends Exception {

    private static final long serialVersionUID = 6312892010101152482L;

    /**
     *  
     */
    public ModifiedJarCreationException() {
        super();
    }

    /**
     * @param message
     */
    public ModifiedJarCreationException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public ModifiedJarCreationException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public ModifiedJarCreationException(String message, Throwable cause) {
        super(message, cause);
    }

}
