/*
 * $Id: PassingRunFailedException.java,v 1.1 2005/08/10 10:52:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 8, 2005 6:24:17 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.client.exception;

/**
 * This exception will be thrown if the passing test run fails.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class PassingRunFailedException extends DeltaComputationException {

    private static final long serialVersionUID = -8269824783731744187L;

    public PassingRunFailedException() {
        super();
    }
}
