/*
 * $Id: PrimitiveAttributeTest.java,v 1.1 2005/06/14 17:31:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 31.05.2005 19:22:30 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.test;

import org.eclipse.core.runtime.CoreException;

/**
 * COMMENTME Comment type PrimitiveAttributeTest
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class PrimitiveAttributeTest extends GenericDDStateTest {

    public final static String PACKAGE_NAME = "org.deltadebugging.ddstate.testsuite.memgraph.primitivattribute";

    public PrimitiveAttributeTest() {
        super("Primitive Attribut Tests");
    }

    public void testChangePrimitiveAttributes() throws CoreException {
        this.launchGenericDDStateTests(
                PACKAGE_NAME + ".PrimitiveAttributeTest", 54, 71);
    }

}
