/*
 * $Id: IDDStateUIImageConstants.java,v 1.3 2005/06/14 14:04:57 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 20.04.2005 09:40:42 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.images;

/**
 * COMMENTME Comment type IDDStateUIImageConstants
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IDDStateUIImageConstants {

	// disabled local tool images
	public static final String IMG_DLCL_PIN = "IMG_DLCL_PIN"; //$NON-NLS-1$
	public static final String IMG_DLCL_REM = "IMG_DLCL_REM"; //$NON-NLS-1$
	public static final String IMG_DLCL_REM_ALL = "IMG_DLCL_REM_ALL"; //$NON-NLS-1$
	
	// enabled local tool images	
	public static final String IMG_ELCL_PIN = "IMG_ELCL_PIN"; //$NON-NLS-1$
	public static final String IMG_ELCL_REM = "IMG_ELCL_REM"; //$NON-NLS-1$
	public static final String IMG_ELCL_REM_ALL = "IMG_ELCL_REM_ALL"; //$NON-NLS-1$
	public static final String IMG_ELCL_VIEW = "IMG_ELCL_VIEW"; //$NON-NLS-1$
	
	// delta view images
	public static final String IMG_DELTA_CREATE = "IMG_DELTA_CREATE"; //$NON-NLS-1$
	public static final String IMG_DELTA_UPDATE = "IMG_DELTA_UPDATE"; //$NON-NLS-1$
	public static final String IMG_DELTA_DELETE = "IMG_DELTA_DELETE"; //$NON-NLS-1$
	
	// outcome images
	public static final String IMG_OUTCOME_PASS = "IMG_OUTCOME_PASS"; //$NON-NLS-1$
	public static final String IMG_OUTCOME_FAIL = "IMG_OUTCOME_FAIL"; //$NON-NLS-1$
	public static final String IMG_OUTCOME_UNRESOLVED = "IMG_OUTCOME_UNRESOLVED"; //$NON-NLS-1$
}
