/*
 * $Id: DeltaExecutionException.java,v 1.2 2005/07/13 07:13:23 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jan 3, 2005 3:21:16 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.exceptions;


/**
 * COMMENTME Comment type DeltaExecutionException
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class DeltaExecutionException extends MemoryGraphException {

    private static final long serialVersionUID = -1811491554363676049L;

    /**
	 * 
	 */
	public DeltaExecutionException() {
		super();
	}

	/**
	 * @param message
	 */
	public DeltaExecutionException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public DeltaExecutionException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public DeltaExecutionException(String message, Throwable cause) {
		super(message, cause);
	}

}
