/*
 * $Id: IGraphNodeFilter.java,v 1.1 2005/03/24 08:05:32 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Sep 17, 2004 11:36:59 AM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.filter.nodefilter;

import org.deltadebugging.ddstate.memorygraph.IGraphNode;
import org.deltadebugging.ddstate.memorygraph.filter.GraphFilterException;
import org.deltadebugging.ddstate.memorygraph.filter.IGraphFilter;

/**
 * COMMENTME Comment type IGraphNodeFilter
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IGraphNodeFilter extends IGraphFilter {

    // COMMENTME
    public abstract boolean filterGraphNode(IGraphNode graphNode)
            throws GraphFilterException;

}